package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 院校录取数据VO
 * @author 萌
 */
public class SchoolAcceptRecordVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 院校录取数据id */
    private Long schoolAcceptRecordId;

    /** 录取人数 */
    private Integer acceptNum;

    /** 录取最低分 */
    private BigDecimal lowestScore;

    /** 数据年份 */
    private String acceptYear;

    /** 计算方法id */
    private Long acceptRuleId;

    /** 计算方法字符串 */
    private String acceptRuleStr;

    /** 批次名称 */
    private String batchName;

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public Long getSchoolAcceptRecordId() {
        return schoolAcceptRecordId;
    }

    public void setSchoolAcceptRecordId(Long schoolAcceptRecordId) {
        this.schoolAcceptRecordId = schoolAcceptRecordId;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public BigDecimal getLowestScore() {
        return lowestScore;
    }

    public void setLowestScore(BigDecimal lowestScore) {
        this.lowestScore = lowestScore;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }

    public String getAcceptRuleStr() {
        return acceptRuleStr;
    }

    public void setAcceptRuleStr(String acceptRuleStr) {
        this.acceptRuleStr = acceptRuleStr;
    }

    @Override
    public String toString() {
        return "SchoolAcceptRecordVO{" +
                "schoolAcceptRecordId=" + schoolAcceptRecordId +
                ", acceptNum=" + acceptNum +
                ", lowestScore=" + lowestScore +
                ", acceptYear='" + acceptYear + '\'' +
                ", acceptRuleId=" + acceptRuleId +
                ", acceptRuleStr='" + acceptRuleStr + '\'' +
                ", batchName='" + batchName + '\'' +
                '}';
    }
}
